# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::ViewCursorInterface Class Reference

This is an interface to access the text cursor of a View class. More...

`#include <viewcursorinterface.h>`

List of all members.

## Public Member Functions

unsigned int | viewCursorInterfaceNumber () const
virtual class QPoint | cursorCoordinates ()=0
virtual void | cursorPosition (unsigned int *line, unsigned int *col)=0
virtual void | cursorPositionReal (unsigned int *line, unsigned int *col)=0
virtual bool | setCursorPosition (unsigned int line, unsigned int col)=0
virtual bool | setCursorPositionReal (unsigned int line, unsigned int col)=0
virtual unsigned int | cursorLine ()=0
virtual unsigned int | cursorColumn ()=0
virtual unsigned int | cursorColumnReal ()=0
virtual void | cursorPositionChanged ()=0

## Protected Member Functions

void | setViewCursorInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateViewCursorInterface

## Detailed Description

This is an interface to access the text cursor of a View class.

Definition at line 33 of file viewcursorinterface.h.

## Member Function Documentation

virtual class QPoint KTextEditor::ViewCursorInterface::cursorCoordinates | ( |  | ) | `[pure virtual]`

| Get the current cursor coordinates in pixels.

virtual void KTextEditor::ViewCursorInterface::cursorPosition | ( | unsigned int * | line,
|  | unsigned int * | col
| ) | `[pure virtual]`

| Get the cursor position.

virtual void KTextEditor::ViewCursorInterface::cursorPositionReal | ( | unsigned int * | line,
|  | unsigned int * | col
| ) | `[pure virtual]`

| Get the cursor position, calculated with 1 character per tab.

virtual bool KTextEditor::ViewCursorInterface::setCursorPosition | ( | unsigned int | line,
|  | unsigned int | col
| ) | `[pure virtual]`

| Set the cursor position.

virtual bool KTextEditor::ViewCursorInterface::setCursorPositionReal | ( | unsigned int | line,
|  | unsigned int | col
| ) | `[pure virtual]`

| Set the cursor position, use 1 character per tab.

The documentation for this class was generated from the following files:

- viewcursorinterface.h
- viewcursorinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:18 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003